<Virtualhost *:80>

	ServerName iis.eida.cz

	ProxyPreserveHost On
	ProxyRequests Off
	ProxyPass / http://10.0.0.5:80/ retry=1 acquire=3000 timeout=600 Keepalive=On
	ProxyPassReverse / http://10.0.0.5:80/

	Alias /peklo/ /dev/null

</Virtualhost>

<VirtualHost *:443>

	ServerName iis.eida.cz

	SSLEngine On
	SSLCertificateFile /etc/apache2/ssl/iis.pem
	SSLCertificateKeyFile /etc/apache2/ssl/iis.pem

	SSLProxyEngine On
	SSLProxyMachineCertificateChainFile /etc/apache2/ssl/iis.pem
	SSLProxyCACertificateFile /etc/apache2/ssl/ca.pem
	SSLProxyCheckPeerCN Off
	SSLProxyCheckPeerExpire On
	SSLProxyVerify none
	SSLProxyCheckPeerName off
	
	RequestHeader set Front-End-Https "On"

	ProxyPreserveHost On
	ProxyRequests Off
  	ProxyPass / https://10.0.0.5:443/ retry=1 acquire=3000 timeout=600 Keepalive=On
  	ProxyPassReverse / https://10.0.0.5:443/


  	Alias /peklo/ /dev/null

</VirtualHost>